apply from: rootProject.file('cc-settings.gradle')
apply from: rootProject.file('common-build.gradle')

android {
    compileSdkVersion rootProject.compile_sdk_version

    defaultConfig {
        minSdkVersion rootProject.min_sdk_version
        targetSdkVersion rootProject.target_sdk_version
        versionCode rootProject.application_version_code
        versionName rootProject.application_version_name
    }


    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        targetCompatibility 1.8
        sourceCompatibility 1.8
    }

    kotlinOptions {
        jvmTarget = '1.8'
    }


    android.buildFeatures {
        dataBinding = false
        viewBinding = false
    }
}


dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation project(':base')
    implementation files('libs/umeng-asms-armeabi-v1.1.3.aar')
    implementation files('libs/umeng-crash-armeabi-v0.0.4.aar')
}